# coding=utf-8
# --------------------------------------------------------------------------
# Copyright (c) Microsoft Corporation. All rights reserved.
# Licensed under the MIT License. See License.txt in the project root for license information.
# Code generated by Microsoft (R) AutoRest Code Generator.
# Changes may cause incorrect behavior and will be lost if the code is regenerated.
# --------------------------------------------------------------------------
# pylint: disable=wrong-import-position

from typing import TYPE_CHECKING

if TYPE_CHECKING:
    from ._patch import *  # pylint: disable=unused-wildcard-import


from ._models_py3 import (  # type: ignore
    ActiveDirectoryAdministrator,
    ActiveDirectoryAdministratorAdd,
    AdminCredentials,
    AdministratorListResult,
    AuthConfig,
    Backup,
    BackupRequestBase,
    BackupSettings,
    BackupStoreDetails,
    CapabilitiesListResult,
    CapabilityBase,
    CheckNameAvailabilityRequest,
    CheckNameAvailabilityResponse,
    Configuration,
    ConfigurationForUpdate,
    ConfigurationListResult,
    DataEncryption,
    Database,
    DatabaseListResult,
    DbLevelValidationStatus,
    DbMigrationStatus,
    DbServerMetadata,
    DelegatedSubnetUsage,
    ErrorAdditionalInfo,
    ErrorDetail,
    ErrorResponse,
    FastProvisioningEditionCapability,
    FirewallRule,
    FirewallRuleListResult,
    FlexibleServerCapability,
    FlexibleServerEditionCapability,
    HighAvailability,
    LogFile,
    LogFileListResult,
    LtrBackupRequest,
    LtrBackupResponse,
    LtrPreBackupRequest,
    LtrPreBackupResponse,
    LtrServerBackupOperation,
    LtrServerBackupOperationList,
    MaintenanceWindow,
    MigrationNameAvailabilityResource,
    MigrationResource,
    MigrationResourceForPatch,
    MigrationResourceListResult,
    MigrationSecretParameters,
    MigrationStatus,
    MigrationSubStateDetails,
    NameAvailability,
    Network,
    Operation,
    OperationDisplay,
    OperationListResult,
    PrivateEndpoint,
    PrivateEndpointConnection,
    PrivateEndpointConnectionListResult,
    PrivateLinkResource,
    PrivateLinkResourceListResult,
    PrivateLinkServiceConnectionState,
    ProxyResource,
    Replica,
    Resource,
    RestartParameter,
    Server,
    ServerBackup,
    ServerBackupListResult,
    ServerForUpdate,
    ServerListResult,
    ServerSku,
    ServerSkuCapability,
    ServerThreatProtectionListResult,
    ServerThreatProtectionSettingsModel,
    ServerVersionCapability,
    Sku,
    Storage,
    StorageEditionCapability,
    StorageMbCapability,
    StorageTierCapability,
    SystemData,
    TrackedResource,
    UserAssignedIdentity,
    UserIdentity,
    ValidationDetails,
    ValidationMessage,
    ValidationSummaryItem,
    VirtualEndpointResource,
    VirtualEndpointResourceForPatch,
    VirtualEndpointsListResult,
    VirtualNetworkSubnetUsageParameter,
    VirtualNetworkSubnetUsageResult,
)

from ._postgre_sql_management_client_enums import (  # type: ignore
    ActiveDirectoryAuthEnum,
    ArmServerKeyType,
    AzureManagedDiskPerformanceTiers,
    CancelEnum,
    CapabilityStatus,
    CheckNameAvailabilityReason,
    ConfigurationDataType,
    CreateMode,
    CreateModeForUpdate,
    CreatedByType,
    ExecutionStatus,
    FailoverMode,
    FastProvisioningSupportedEnum,
    GeoBackupSupportedEnum,
    GeoRedundantBackupEnum,
    HaMode,
    HighAvailabilityMode,
    IdentityType,
    KeyStatusEnum,
    LogicalReplicationOnSourceDbEnum,
    MigrateRolesEnum,
    MigrationDbState,
    MigrationDetailsLevel,
    MigrationListFilter,
    MigrationMode,
    MigrationNameAvailabilityReason,
    MigrationOption,
    MigrationState,
    MigrationSubState,
    OnlineResizeSupportedEnum,
    OperationOrigin,
    Origin,
    OverwriteDbsInTargetEnum,
    PasswordAuthEnum,
    PrincipalType,
    PrivateEndpointConnectionProvisioningState,
    PrivateEndpointServiceConnectionStatus,
    ReadReplicaPromoteMode,
    ReplicationPromoteOption,
    ReplicationRole,
    ReplicationState,
    RestrictedEnum,
    ServerHAState,
    ServerPublicNetworkAccessState,
    ServerState,
    ServerVersion,
    SkuTier,
    SourceType,
    SslMode,
    StartDataMigrationEnum,
    StorageAutoGrow,
    StorageAutoGrowthSupportedEnum,
    StorageType,
    ThreatProtectionName,
    ThreatProtectionState,
    TriggerCutoverEnum,
    ValidationState,
    VirtualEndpointType,
    ZoneRedundantHaAndGeoBackupSupportedEnum,
    ZoneRedundantHaSupportedEnum,
)
from ._patch import __all__ as _patch_all
from ._patch import *
from ._patch import patch_sdk as _patch_sdk

__all__ = [
    "ActiveDirectoryAdministrator",
    "ActiveDirectoryAdministratorAdd",
    "AdminCredentials",
    "AdministratorListResult",
    "AuthConfig",
    "Backup",
    "BackupRequestBase",
    "BackupSettings",
    "BackupStoreDetails",
    "CapabilitiesListResult",
    "CapabilityBase",
    "CheckNameAvailabilityRequest",
    "CheckNameAvailabilityResponse",
    "Configuration",
    "ConfigurationForUpdate",
    "ConfigurationListResult",
    "DataEncryption",
    "Database",
    "DatabaseListResult",
    "DbLevelValidationStatus",
    "DbMigrationStatus",
    "DbServerMetadata",
    "DelegatedSubnetUsage",
    "ErrorAdditionalInfo",
    "ErrorDetail",
    "ErrorResponse",
    "FastProvisioningEditionCapability",
    "FirewallRule",
    "FirewallRuleListResult",
    "FlexibleServerCapability",
    "FlexibleServerEditionCapability",
    "HighAvailability",
    "LogFile",
    "LogFileListResult",
    "LtrBackupRequest",
    "LtrBackupResponse",
    "LtrPreBackupRequest",
    "LtrPreBackupResponse",
    "LtrServerBackupOperation",
    "LtrServerBackupOperationList",
    "MaintenanceWindow",
    "MigrationNameAvailabilityResource",
    "MigrationResource",
    "MigrationResourceForPatch",
    "MigrationResourceListResult",
    "MigrationSecretParameters",
    "MigrationStatus",
    "MigrationSubStateDetails",
    "NameAvailability",
    "Network",
    "Operation",
    "OperationDisplay",
    "OperationListResult",
    "PrivateEndpoint",
    "PrivateEndpointConnection",
    "PrivateEndpointConnectionListResult",
    "PrivateLinkResource",
    "PrivateLinkResourceListResult",
    "PrivateLinkServiceConnectionState",
    "ProxyResource",
    "Replica",
    "Resource",
    "RestartParameter",
    "Server",
    "ServerBackup",
    "ServerBackupListResult",
    "ServerForUpdate",
    "ServerListResult",
    "ServerSku",
    "ServerSkuCapability",
    "ServerThreatProtectionListResult",
    "ServerThreatProtectionSettingsModel",
    "ServerVersionCapability",
    "Sku",
    "Storage",
    "StorageEditionCapability",
    "StorageMbCapability",
    "StorageTierCapability",
    "SystemData",
    "TrackedResource",
    "UserAssignedIdentity",
    "UserIdentity",
    "ValidationDetails",
    "ValidationMessage",
    "ValidationSummaryItem",
    "VirtualEndpointResource",
    "VirtualEndpointResourceForPatch",
    "VirtualEndpointsListResult",
    "VirtualNetworkSubnetUsageParameter",
    "VirtualNetworkSubnetUsageResult",
    "ActiveDirectoryAuthEnum",
    "ArmServerKeyType",
    "AzureManagedDiskPerformanceTiers",
    "CancelEnum",
    "CapabilityStatus",
    "CheckNameAvailabilityReason",
    "ConfigurationDataType",
    "CreateMode",
    "CreateModeForUpdate",
    "CreatedByType",
    "ExecutionStatus",
    "FailoverMode",
    "FastProvisioningSupportedEnum",
    "GeoBackupSupportedEnum",
    "GeoRedundantBackupEnum",
    "HaMode",
    "HighAvailabilityMode",
    "IdentityType",
    "KeyStatusEnum",
    "LogicalReplicationOnSourceDbEnum",
    "MigrateRolesEnum",
    "MigrationDbState",
    "MigrationDetailsLevel",
    "MigrationListFilter",
    "MigrationMode",
    "MigrationNameAvailabilityReason",
    "MigrationOption",
    "MigrationState",
    "MigrationSubState",
    "OnlineResizeSupportedEnum",
    "OperationOrigin",
    "Origin",
    "OverwriteDbsInTargetEnum",
    "PasswordAuthEnum",
    "PrincipalType",
    "PrivateEndpointConnectionProvisioningState",
    "PrivateEndpointServiceConnectionStatus",
    "ReadReplicaPromoteMode",
    "ReplicationPromoteOption",
    "ReplicationRole",
    "ReplicationState",
    "RestrictedEnum",
    "ServerHAState",
    "ServerPublicNetworkAccessState",
    "ServerState",
    "ServerVersion",
    "SkuTier",
    "SourceType",
    "SslMode",
    "StartDataMigrationEnum",
    "StorageAutoGrow",
    "StorageAutoGrowthSupportedEnum",
    "StorageType",
    "ThreatProtectionName",
    "ThreatProtectionState",
    "TriggerCutoverEnum",
    "ValidationState",
    "VirtualEndpointType",
    "ZoneRedundantHaAndGeoBackupSupportedEnum",
    "ZoneRedundantHaSupportedEnum",
]
__all__.extend([p for p in _patch_all if p not in __all__])  # pyright: ignore
_patch_sdk()
